﻿using Syncfusion.Windows.PdfViewer;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ExportAsImage
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void CustomSizeClick(object sender, RoutedEventArgs e)
        {
            //Document viewer initialization
            PdfDocumentView documentViewer = new PdfDocumentView();
            //Loads the PDF document 
            documentViewer.Load(@"..\..\Data\Barcode.pdf");
            //Exports the image as Bitmap source
            BitmapSource[] imageSource = documentViewer.ExportAsImage(0, documentViewer.LoadedDocument.Pages.Count - 1, new SizeF(900, 900),300,300, true);
            BitmapEncoder encoder = null;
            int count = 0;
            foreach (BitmapSource img in imageSource)
            {
                encoder = new PngBitmapEncoder();
                encoder.Frames.Add(BitmapFrame.Create(img));
                //Saves the image stream as PNG
                FileStream stream = new FileStream("OutputCustomSize" + count + ".png", FileMode.Create);
                encoder.Save(stream);
                count++;
            }
        }
        private void DPIClick(object sender, RoutedEventArgs e)
        {
            //Document viewer initialization
            PdfDocumentView documentViewer = new PdfDocumentView();
            //Loads the PDF document 
            documentViewer.Load(@"..\..\Data\Barcode.pdf");
            //Exports the image as Bitmap source
            BitmapSource[] imageSource = documentViewer.ExportAsImage(0, documentViewer.LoadedDocument.Pages.Count - 1, 300, 300);
            BitmapEncoder encoder = null;
            int count = 0;
            foreach (BitmapSource img in imageSource)
            {
                encoder = new PngBitmapEncoder();
                encoder.Frames.Add(BitmapFrame.Create(img));
                //Saves the image stream as PNG
                FileStream stream = new FileStream("OutputDPI" + count + ".png", FileMode.Create);
                encoder.Save(stream);
                count++;
            }
        }
    }
}
